PDA

View Full Version : two versions of kf5-baloo-libs installed



marko
17th October 2015, 08:32 PM
Is this normal to have two versions of kf5-baloo-libs on a system?



rpm -qa | grep baloo
baloo-akonadi-4.14.3-1.fc22.x86_64
kf5-baloo-5.15.0-1.fc22.x86_64
baloo-libs-4.14.3-1.fc22.x86_64
kf5-baloo-libs-5.14.0-1.fc22.x86_64
kf5-baloo-file-5.15.0-1.fc22.x86_64
kf5-baloo-libs-5.15.0-1.fc22.x86_64
baloo-widgets-4.14.3-1.fc22.x86_64

I updated the kf5* packages from updates-testing so that's where the 5.15.0 one is from

I see this :
ls -l /usr/lib64/*Baloo*
lrwxrwxrwx. 1 root root 27 Oct 13 12:16 /usr/lib64/libKF5BalooEngine.so.5 -> libKF5BalooEngine.so.5.15.0
-rwxr-xr-x. 1 root root 231848 Sep 23 13:18 /usr/lib64/libKF5BalooEngine.so.5.14.0
-rwxr-xr-x. 1 root root 244320 Oct 13 12:17 /usr/lib64/libKF5BalooEngine.so.5.15.0
lrwxrwxrwx. 1 root root 21 Oct 13 12:16 /usr/lib64/libKF5Baloo.so.5 -> libKF5Baloo.so.5.15.0
-rwxr-xr-x. 1 root root 213048 Sep 23 13:18 /usr/lib64/libKF5Baloo.so.5.14.0
-rwxr-xr-x. 1 root root 221456 Oct 13 12:17 /usr/lib64/libKF5Baloo.so.5.15.0

so I suspect exes loading /usr/lib64/libKF5Baloo{Engine}.so.5 are using the 5.15.0 libraries which
looks right, I'm just wondering why dnf didn't blow out the 5.14.0 libraries.

wintonian
18th October 2015, 05:36 PM
Possibly not?

My output if it's any help:

user-001@elrond ~$ rpm -qa | grep baloo
kf5-baloo-file-5.14.0-1.fc22.x86_64
kf5-baloo-5.14.0-1.fc22.x86_64
baloo-libs-4.14.3-1.fc22.x86_64
baloo-akonadi-4.14.3-1.fc22.x86_64
kf5-baloo-libs-5.14.0-1.fc22.x86_64
baloo-widgets-4.14.3-1.fc22.x86_64

I'm not using updates-testing BTW.